---
id: 6852f06fdde1b4634a263f03
title: Step 4
challengeType: 20
dashedName: step-4
---

# --description--

Now test the `Email` class by creating an email object and checking that it stores information correctly. You'll print a couple of attributes to verify everything works.

Create an email object named `email_obj` with `alice@example.com` as the sender, `bob@example.com` as the receiver, `Hello` as the subject, and `Hi Bob!` as the body. Then print the `sender` and `subject` attributes as separate print statements to verify they are stored correctly.

# --hints--

You should create an email object named `email_obj` with the specified parameters.

```js
({
    test: () => 
    {
        assert(runPython(`_Node(_code).find_variable("email_obj").is_equivalent("email_obj = Email('alice@example.com', 'bob@example.com', 'Hello', 'Hi Bob!')")`))
    }

})
```

You should print `email_obj.sender`.

```js
({
    test: () => 
    {
        assert(runPython(`_Node(_code).has_call("print(email_obj.sender)")`))
    }

})
```

You should print `email_obj.subject`.

```js
({
    test: () => 
    {
        assert(runPython(`_Node(_code).has_call("print(email_obj.subject)")`))
    }

})
```

# --seed--

## --seed-contents--

```py
class Email:
    def __init__(self, sender, receiver, subject, body):
        self.sender = sender
        self.receiver = receiver
        self.subject = subject
        self.body = body
--fcc-editable-region--

--fcc-editable-region--
```
